#include <stdbool.h>
#include "main.h"

void GPS_ClearBuffs();
bool GPS_Load();
int GPS_FindIdx(unsigned char *input, const char *target);
int GPS_PositionIdx(unsigned char *input);
bool GPS_LoadPosition(unsigned char *input, unsigned char *rec, int index);
void GPS_LoadCourse(unsigned char *output, unsigned char *rec, int index);
int GPS_CourseIdx(unsigned char *input);
void GPS_Standby(UART_HandleTypeDef *huart);
void GPS_WakeUp(UART_HandleTypeDef *huart);
